<template>
  <el-row :gutter="40" class="panel-group">
    <el-col :xs="12" :sm="12" :lg="6" class="card-panel-col">
      <div class="card-panel --green">
        <div class="card-panel-description">
          <div class="card-panel-text">Forum Post</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="post"
              :duration="2600"
              class="card-panel-num"
            />
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="folded-newspaper" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
    <el-col :xs="12" :sm="12" :lg="6" class="card-panel-col">
      <div class="card-panel">
        <div class="card-panel-description">
          <div class="card-panel-text">Forum Diakses</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="accessedForum"
              :duration="2600"
              class="card-panel-text-black"
            />
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="eye-green" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
    <el-col :xs="12" :sm="12" :lg="6" class="card-panel-col">
      <div class="card-panel">
        <div class="card-panel-description">
          <div class="card-panel-text">Forum Post Dibagikan</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="sharedPost"
              :duration="2600"
              class="card-panel-text-black"
            />
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="share" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
    <el-col :xs="12" :sm="12" :lg="6" class="card-panel-col">
      <div class="card-panel">
        <div class="card-panel-description">
          <div class="card-panel-text">Komentar</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="comment"
              :duration="2600"
              class="card-panel-text-black"
            />
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="comment-2" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>

  </el-row>
</template>

<script>
import CountTo from 'vue-count-to';
export default {
  components: {
    CountTo
  },
  created() {
    this.$store.dispatch('countPost', {});
    this.$store.dispatch('countAccessedForum', {});
    this.$store.dispatch('countSharedPost', {});
    this.$store.dispatch('countComment', {});
  },
  computed: {
    post: {
      get: function() {
        return this.$store.state.forum.countPost;
      }
    },
    accessedForum: {
      get: function() {
        return this.$store.state.forum.countAccessedForum;
      }
    },
    sharedPost: {
      get: function() {
        return this.$store.state.forum.countSharedPost;
      }
    },
    comment: {
      get: function() {
        return this.$store.state.forum.countComment;
      }
    }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.panel-group {
  margin-top: 18px;
  .card-panel-col {
    margin-bottom: 32px;
  }
  .card-panel-text {
    margin-bottom: 20px;
  }
  .card-panel {
    cursor: pointer;
    font-size: 12px;
    position: relative;
    padding: 13px 20px;
    overflow: hidden;
    color: #4a4a4a;
    height: 165px;
    background: #fff;
    box-shadow: 4px 4px 40px rgba(0, 0, 0, 0.05);
    border-color: rgba(0, 0, 0, 0.05);
    @include ritx-box;
    position: relative;

    &.\-\-green {
      background-image: linear-gradient(to left, $ritx-dark-green-2, $ritx-mid-green);
      color: white;

      .card-panel-text {
        margin-bottom: 20px;
      }
    }

    .svg-icon {
      vertical-align: top;

      &.\-\-green {
        color: #5f9e32;
      }
    }

    .icon-red {
      width: 70px;
      height: 70px;
      border-radius: 6px;
      background-color: #ff4343;
      display: flex;
      justify-content: center;
      align-items: center;

      .svg-icon {
        width: 40px;
        height: 40px;
      }
    }
    .icon-green {
      width: 70px;
      height: 70px;
      border-radius: 6px;
      background-color: #76be40;
      display: flex;
      justify-content: center;
      align-items: center;

      .svg-icon {
        width: 40px;
        height: 40px;
      }
    }

    &:hover {
      .card-panel-icon-wrapper {
        color: #fff;
      }
    }
    .icon-people {
      color: #40c9c6;
    }
    .icon-message {
      color: #36a3f7;
    }
    .icon-money {
      color: #f4516c;
    }
    .icon-shopping {
      color: #34bfa3;
    }
    .card-panel-icon-wrapper {
      margin: 14px 0 0 14px;
      transition: all 0.38s ease-out;
      border-radius: 6px;
      .card-panel-icon {
        width: 35px;
      }
    }
    .card-panel-icon {
      float: left;
      font-size: 120px;
    }
    .card-panel-description {
      float: left;
      font-weight: bold;
      margin-left: 0px;
      width: 100%;
      .card-panel {
        &-text {
          line-height: 1.4;
          font-size: 14px;
        }
        &-info {
          font-size: 20px;
          margin-bottom: 25px;

          &.\-\-blue {
            color: #0076a9;
          }
          &.\-\-green {
            color: #5f9e32;
          }
          &.\-\-orange {
            color: #dfa42b;
          }
          &.\-\-red {
            color: #de3636;
          }
        }
      }
      .card-panel-num {
        font-size: 56px;
        vertical-align: top;
        line-height: 0.8;
        color: white;
      }
    }
    &--active {
      background: linear-gradient(200deg, $ritx-light-green, $ritx-dark-green);
      color: $true-white;
      .card-panel {
        &-text {
          color: $true-white !important;
        }
      }
    }
    &__bottom {
      position: absolute;
      top: 60px;
      right: 10px;
    }
  }
  .farmer-count {
    display: inline-block;
    color: $ritx-dark-green;
    font-weight: 700;
    margin-top: 10px;
    &--decimal {
      float: right;
    }
  }
  .progress {
    margin-top: 20px;
  }

  .card-panel-text-black {
    color: #086939;
    font-size: 56px;
    vertical-align: top;
    line-height: 0.8;
  }

  .mid {
    display: flex;
    align-items: center;
  }
}
</style>
